
Katello - Bug #6949

[RFE] make /api/organizations/<org_id>/tasks to accept param:

?state={running,finished,error,<else?>}

08/06/2014 12:09 AM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: API   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 970600 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/454
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=970600

Description of problem:

It is really annoying every time to request the whole list of tasks for the org if one needs the recent running ones (or the failures - for

analysing)

I could just assume that our UI also may refer to this call - so not sure if there is make sense each time to collect and reply with

rapidly growing JSON every time.

Right now I did made sync of RHEL6Server and then: RHEL6.3 (which made dozen of rpm sync/update entries in there); also 2

times promotion failures.

So having overall 8 entries there it becomes 2Mb+ and with prettified: 4Mb+ there.

And I really interested in my tasks of failed and|or running ones only.

Another option could be: having the list really in "compressed" format and then requesting each task individually (as it already exists)

Version-Release number of selected component (if applicable):

candlepin-0.8.9-1.el6_4.noarch

candlepin-cert-consumer-ibm-ls41-02.rhts.eng.bos.redhat.com-1.0-1.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.8.9-1.el6_4.noarch

candlepin-tomcat6-0.8.9-1.el6_4.noarch

elasticsearch-0.19.9-8.el6sat.noarch

katello-1.4.2-8.el6sat.noarch

katello-agent-1.4.2-4.el6sat.noarch

katello-all-1.4.2-8.el6sat.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

katello-certs-tools-1.4.2-2.el6sat.noarch

katello-cli-1.4.2-6.el6sat.noarch

katello-cli-common-1.4.2-6.el6sat.noarch

katello-common-1.4.2-8.el6sat.noarch

katello-configure-1.4.3-12.el6sat.noarch

katello-configure-foreman-1.4.3-12.el6sat.noarch

katello-foreman-all-1.4.2-8.el6sat.noarch

katello-glue-candlepin-1.4.2-8.el6sat.noarch

katello-glue-elasticsearch-1.4.2-8.el6sat.noarch

katello-glue-pulp-1.4.2-8.el6sat.noarch

katello-qpid-broker-key-pair-1.0-1.noarch

katello-qpid-client-key-pair-1.0-1.noarch

katello-selinux-1.4.3-3.el6sat.noarch

m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64

pulp-rpm-handlers-2.1.1-1.el6sat.noarch

pulp-rpm-plugins-2.1.1-1.el6sat.noarch

pulp-selinux-2.1.1-1.el6sat.noarch

pulp-server-2.1.1-1.el6sat.noarch

python-isodate-0.5.0-1.pulp.el6sat.noarch

python-oauth2-1.5.170-3.pulp.el6sat.noarch

python-pulp-agent-lib-2.1.1-1.el6sat.noarch

python-pulp-bindings-2.1.1-1.el6.noarch

python-pulp-client-lib-2.1.1-1.el6.noarch

python-pulp-common-2.1.1-1.el6sat.noarch

python-pulp-rpm-common-2.1.1-1.el6sat.noarch

python-qpid-0.18-5.el6_4.noarch

python-rhsm-1.8.0-1.pulp.el6sat.x86_64

qpid-cpp-client-0.14-22.el6_3.x86_64

qpid-cpp-client-ssl-0.14-22.el6_3.x86_64

qpid-cpp-server-0.14-22.el6_3.x86_64

qpid-cpp-server-ssl-0.14-22.el6_3.x86_64

ruby193-rubygem-foreman-katello-engine-0.0.8-4.el6sat.noarch

ruby193-rubygem-katello-foreman-engine-0.0.3-4.el6sat.noarch

ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch

ruby193-rubygem-ldap_fluff-0.1.7-3.el6sat.noarch

signo-katello-0.0.15-1.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1.just do prepare various stuff for katello-jobs

2.

3.

Actual results:

big reply back on each request of org tasks API call

Expected results:

make param: state

Additional info:

We could reach big performance improvements if there is any UI call on the org tasks :)

Associated revisions

Revision 2c90aa1a - 08/08/2014 10:55 AM - Walden Raines

Fixes #6949/BZ970600: remove unused tasks endpoint.

Tasks are now handled via dynflow making the tasks controller

no longer necessary.  This commit removes the controller and

the related tests and routes.

http://projects.theforeman.org/issues/6949

https://bugzilla.redhat.com/show_bug.cgi?id=970600

Revision 65764ce9 - 08/11/2014 11:59 AM - Walden Raines

Merge pull request #4541 from waldenraines/6949

Fixes #6949/BZ970600: restore sorting on task status.

History

#1 - 08/06/2014 06:55 AM - Eric Helms

- Target version set to 54

- Difficulty set to medium

- Triaged changed from No to Yes

#2 - 08/06/2014 05:17 PM - The Foreman Bot

05/17/2024 2/3

http://projects.theforeman.org/issues/6949
https://bugzilla.redhat.com/show_bug.cgi?id=970600


- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4541 added

- Pull request deleted ()

#3 - 08/11/2014 12:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|2c90aa1ab9eed2d5e39b3c7ea2e6cabc6e36c0ec.

#4 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
